Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.filter
Class FilterManager

    java.lang.Object
      org.jboss.soa.esb.filter.FilterManager

    public class FilterManager

extends java.lang.Object

The FilterManager process messages through the various input and output filters that have been registered via the configuration file. Currently this is the same processing for all services/clients, i.e., there is no per-process/per-client processing, it is all at the ESB instance level.

Author:
  marklittle

Field Summary
`static org.apache.log4j.Logger` | `_logger`

Method Summary
`Message` | `doInputWork(Message msg, java.util.Map<java.lang.String,java.lang.Object> params)` Iterate through the registered input filters, allowing them to augment/modify the message.
`Message` | `doOutputWork(Message msg, java.util.Map<java.lang.String,java.lang.Object> params)` Iterate through the registered output filters, allowing them to augment/modify the message.
`static FilterManager` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _logger

    public static final org.apache.log4j.Logger _logger

Method Detail

### getInstance

    public static final FilterManager getInstance()

### doOutputWork

    public Message doOutputWork(Message msg,
                                java.util.Map<java.lang.String,java.lang.Object> params)
                         throws CourierException

  Iterate through the registered output filters, allowing them to augment/modify the message. The first error causes the iteration to stop and the send to fail.

  Parameters:
    `msg` - the original message.
  Returns:
    the resultant message.
  Throws:
    `CourierException` - thrown if there is any error during processing.

### doInputWork

    public Message doInputWork(Message msg,
                               java.util.Map<java.lang.String,java.lang.Object> params)
                        throws CourierException

  Iterate through the registered input filters, allowing them to augment/modify the message. The first error causes the iteration to stop and the receive to fail.

  Parameters:
    `msg` - the original message.
  Returns:
    the resultant message.
  Throws:
    `CourierException` - thrown if there is any error during processing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD